Skip to main content
POST
/
storage
/
detach
Detach storage from a cluster
curl --request POST \
  --url https://api.example.com/storage/detach \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "storage_id": "<string>",
  "cluster_id": "<string>"
}
'
{
  "storage_id": "<string>",
  "cluster_id": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for POST /storage/detach.

storage_id
string
required

Storage ID to detach (must start with 's-')

cluster_id
string
required

Cluster ID to detach storage from

Response

Storage detachment initiated

Response for POST /storage/detach.

storage_id
string
required

TensorPool storage ID

cluster_id
string
required

Detached cluster ID

message
string
required

Status message

request_id
string | null

Request ID for tracking